GNU bug report logs - #43344
"basic" system tests fail (and all the other ones) on guix master

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Danny Milosavljevic <dannym@HIDDEN>; merged with #43352; Done: Leo Famulari <leo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
bug closed, send any further explanations to 43344 <at> debbugs.gnu.org and Danny Milosavljevic <dannym@HIDDEN> Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 17 Sep 2020 19:10:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 17 15:10:35 2020
Received: from localhost ([127.0.0.1]:39101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIzIh-0001jE-MG
	for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 15:10:35 -0400
Received: from world.peace.net ([64.112.178.59]:51586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kIzIf-0001j0-IU
 for 43344 <at> debbugs.gnu.org; Thu, 17 Sep 2020 15:10:34 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kIzIZ-0004vM-Di; Thu, 17 Sep 2020 15:10:27 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <marius@HIDDEN>, Leo Famulari <leo@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones)
 on guix master
In-Reply-To: <87r1r06bko.fsf@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN>
 <877dsw7alf.fsf@HIDDEN> <20200914183037.624cc347@HIDDEN>
 <87y2laactz.fsf@HIDDEN> <20200915230628.GA20807@HIDDEN>
 <20200916141231.GA28015@HIDDEN>
 <20200916165245.421e3c4c@HIDDEN>
 <20200916162244.GA3262@HIDDEN> <87363h9oab.fsf@HIDDEN>
 <20200917022117.GA1845@HIDDEN> <87r1r06bko.fsf@HIDDEN>
Date: Thu, 17 Sep 2020 15:08:58 -0400
Message-ID: <87zh5o8bkq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43344
Cc: Mathieu Othacehe <othacehe@HIDDEN>, 43344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Marius Bakke <marius@HIDDEN> writes:

> Leo Famulari <leo@HIDDEN> writes:
>
>> On Wed, Sep 16, 2020 at 09:36:49PM -0400, Mark H Weaver wrote:
>>> Next, it probably makes sense to test 5.8.9 with the above commit
>>> reverted.  Would someone like to try it?  If that works, we can avoid
>>> the bisection, resume kernel updates, and revert this change across all
>>> of our kernels until a better solution is found.
>>
>> I'll do this tonight.
>
> A fix for this is available in mainline:
>
>   https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=88ce2a530cc9865a894454b2e40eba5957a60e1a
>
> (via <https://gitlab.gnome.org/GNOME/gparted/-/issues/111>)

Thank you, Marius!  I see that this patch has been included in the
recently released linux-libre-5.8.10.  Assuming that it fixes our
problem (which I suspect it does), we can simply update our kernels and
close this bug.

Leo, would you like to update our kernels?  I won't be able to get to it
today, and I'm looking to offload that job anyway.

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 17 Sep 2020 15:28:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 17 11:28:57 2020
Received: from localhost ([127.0.0.1]:38670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIvqD-0006Hv-GQ
	for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 11:28:57 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:51610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1kIvqB-0006Hm-1k
 for 43344 <at> debbugs.gnu.org; Thu, 17 Sep 2020 11:28:55 -0400
Received: from localhost (80-110-126-103.cgn.dynamic.surfer.at
 [80.110.126.103])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 65F023363928;
 Thu, 17 Sep 2020 17:28:53 +0200 (CEST)
Date: Thu, 17 Sep 2020 17:28:06 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones)
 on guix master
Message-ID: <20200917172806.1d03de5c@HIDDEN>
In-Reply-To: <20200917140544.GA14066@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN> <877dsw7alf.fsf@HIDDEN>
 <20200914183037.624cc347@HIDDEN>
 <87y2laactz.fsf@HIDDEN> <20200915230628.GA20807@HIDDEN>
 <20200916141231.GA28015@HIDDEN>
 <20200916165245.421e3c4c@HIDDEN>
 <20200916162244.GA3262@HIDDEN> <87363h9oab.fsf@HIDDEN>
 <20200917140544.GA14066@HIDDEN>
X-Mailer: Claws Mail 3.17.5 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_//wKapJIv6MOCvy19zhoZPww";
 protocol="application/pgp-signature"; micalg=pgp-sha512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43344
Cc: Mark H Weaver <mhw@HIDDEN>, 43344 <at> debbugs.gnu.org,
 Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_//wKapJIv6MOCvy19zhoZPww
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Leo,

On Thu, 17 Sep 2020 10:05:44 -0400
Leo Famulari <leo@HIDDEN> wrote:

> On Wed, Sep 16, 2020 at 09:36:49PM -0400, Mark H Weaver wrote:
> > > On Wed, Sep 16, 2020 at 04:52:45PM +0200, Danny Milosavljevic wrote: =
=20
> > >> commit 692d0626557451c4b557397f20b7394b612d0289
> > >> Author: Christoph Hellwig <hch@HIDDEN>
> > >> Date:   Tue Sep 1 11:59:41 2020 +0200
> > >>=20
> > >>     block: fix locking in bdev_del_partition =20
>=20
> > Next, it probably makes sense to test 5.8.9 with the above commit
> > reverted.  Would someone like to try it?  If that works, we can avoid
> > the bisection, resume kernel updates, and revert this change across all
> > of our kernels until a better solution is found. =20
>=20
> Using linux-libre 5.8.9 with that commit reverted, `guix system vm` does
> work again.

Thanks for testing it!

What the commit does is lock the drive whose partition table is being
modified.  That sounds like a good idea in general.  But parted does not
expect the error code ENOMEM and thus misjudges the situation.

See also:

  https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit=
/?id=3D88ce2a530cc9865a894454b2e40eba5957a60e1a

for the fix that goes into Linux 5.9.

We could also patch parted to also accept ENOMEM in addition to ENXIO if we
wanted to.  I wouldn't (it diverges from what upstream is doing--too much w=
ork).

--Sig_//wKapJIv6MOCvy19zhoZPww
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl9jgIYACgkQ5xo1VCww
uqV/dAf/Vw7MsIv2xeJ+IHCSgg7iH7NmI3xBnI7bbkH/7M+8dUlzQqtV4568uvF3
prWg4uLB5eqUiKYlySpqsGIgpuSnNtnhr8Uwg3B35s+GpjhOobWFCRqG7I0BMzyC
FXLK+6cz8QX45eVXLRDynuhqZ5qEvLoViyLpXoAyJWoBRCZlTUHPCqIwrB4bnS3W
i2kDCyLLjSUZI7Wpae4fFA9EUuDrl1PIMqjBOBNuy3t5vqZeewYAC2BKFy0H5pWD
6QQjzXHvzpi90BGPE6ghN3ycVQYHuEpOFbdjOxW6eC58OeFBWdsI8W/FIQLP9wMi
DAsIDH6snbRP4k51eg69CI0KV3mFmg==
=PtVk
-----END PGP SIGNATURE-----

--Sig_//wKapJIv6MOCvy19zhoZPww--




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 17 Sep 2020 14:20:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 17 10:20:35 2020
Received: from localhost ([127.0.0.1]:38509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIum2-0006UN-P3
	for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 10:20:35 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:55385)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1kIum1-0006UA-1S
 for 43344 <at> debbugs.gnu.org; Thu, 17 Sep 2020 10:20:33 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id F27015C007C;
 Thu, 17 Sep 2020 10:20:27 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Thu, 17 Sep 2020 10:20:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=K9YdZqlTWTb+6BapIK+Wmitf
 dN6Zqb8buSi8gWlXc48=; b=O3wTU8SZkbNTyX3EHBVa4npOxdiWquqjBTMd4++0
 rSpga943Q4n2iufu7kHDfb3kiYXqtXWFH5lRLbrsOzgxrmEVPLGPNnYJusTcnRdr
 65jOC2wlTvIHrOCFFpAqpXCeGkd72XL+WEm70SP5r26v4QvXyjpVM0OrUDSGDcP6
 jt0=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=K9YdZq
 lTWTb+6BapIK+WmitfdN6Zqb8buSi8gWlXc48=; b=crvvF6wlaFu77vfH4gD2gr
 8ac3LjvQO0Y8JfOgbgTYIILbK9orjJJOsj6VfmFOW3o5+gCJ2oOCzcPbHxnT+9+y
 MSw1TWftcWtx6ECVPhhcwP6/SFIHY0vsaKfp8LnuMokQkn1Vc2bunwNITHgBKEEP
 /g970CS2FTS3HPfQeMxMzwrl7WKcjIvQSIBkivjyTe5CJWccsa2EFUZW6LgA8Afs
 1EKx93FLHPA3mjo/K2Ermnh6W6tIE9z/cUdOfkdZjit8iGnrFk6iGe3XzaOcGh/k
 iLI5JcU6bwXXZ2Zjs8ixzcbn2kMMM28kWoRv5tJYAAj0honTOOddwebH5e4SrBdA
 ==
X-ME-Sender: <xms:q3BjX4XlyG0zo6DSbJfjg7W0v4h02r3FR-b2KNjXN2MC05SgieenWQ>
 <xme:q3BjX8lTUXH-uTBcTzBLSb14K5v_pDQZfEOf5vAsdZoWonBwzCwLPLvvzkZwgg6ki
 jYULcUlJD9wTt2sCA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedujedrtdeggdejiecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeffhffvuffkfhggtggujgesghdtreertddtvdenucfhrhhomhepnfgvohcuhfgr
 mhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrthhtvg
 hrnhepfeetudduffdvgedttddtueffudefvdduhfduudfgjeeugeekleevieekledtjeeh
 necuffhomhgrihhnpehkvghrnhgvlhdrohhrghdpghhnohhmvgdrohhrghenucfkphepje
 efrddugedurdduvdejrddugeeinecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghm
 pehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:q3BjX8aak9OpgS26ps0Wc15Gn-bEdbW2CqzaV6nXkiZkJJ71qjDtkQ>
 <xmx:q3BjX3U2UlpRJDcMzR6mHXLKw3Zc_jbeTdzOrOrayUPwNKZ_5g7gcQ>
 <xmx:q3BjXykSDjjqLBP8_r_IzRAvUEbKGQjSPUfK2wY0xamien2lC59n0w>
 <xmx:q3BjX2u7q1npA0aIc2si1nQkYgOrsCQnruEXm8ch8RsEDtvXE_mY_Q>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id 963F33064686;
 Thu, 17 Sep 2020 10:20:27 -0400 (EDT)
Date: Thu, 17 Sep 2020 10:20:26 -0400
From: Leo Famulari <leo@HIDDEN>
To: Marius Bakke <marius@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones) on
 guix master
Message-ID: <20200917142026.GB14066@HIDDEN>
References: <877dsw7alf.fsf@HIDDEN> <20200914183037.624cc347@HIDDEN>
 <87y2laactz.fsf@HIDDEN> <20200915230628.GA20807@HIDDEN>
 <20200916141231.GA28015@HIDDEN>
 <20200916165245.421e3c4c@HIDDEN>
 <20200916162244.GA3262@HIDDEN> <87363h9oab.fsf@HIDDEN>
 <20200917022117.GA1845@HIDDEN> <87r1r06bko.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="a8Wt8u1KmwUX3Y2C"
Content-Disposition: inline
In-Reply-To: <87r1r06bko.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43344
Cc: Mark H Weaver <mhw@HIDDEN>, 43344 <at> debbugs.gnu.org,
 Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--a8Wt8u1KmwUX3Y2C
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Sep 17, 2020 at 10:40:07AM +0200, Marius Bakke wrote:
> Leo Famulari <leo@HIDDEN> writes:
>=20
> > On Wed, Sep 16, 2020 at 09:36:49PM -0400, Mark H Weaver wrote:
> >> Next, it probably makes sense to test 5.8.9 with the above commit
> >> reverted.  Would someone like to try it?  If that works, we can avoid
> >> the bisection, resume kernel updates, and revert this change across all
> >> of our kernels until a better solution is found.
> >
> > I'll do this tonight.
>=20
> A fix for this is available in mainline:
>=20
>   https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/comm=
it/?id=3D88ce2a530cc9865a894454b2e40eba5957a60e1a
>=20
> (via <https://gitlab.gnome.org/GNOME/gparted/-/issues/111>)

What is the recommended way to report this to the stable maintainers?

--a8Wt8u1KmwUX3Y2C
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAl9jcJ8ACgkQJkb6MLrK
fwiHphAAhOooIej7iuzi0LLSeqAnM0cOrxaxb1vKdiV2LiCtBVCuMuSNE+5rX8iL
zXHwth2keT8xld5hxPRM7teioybZ/nsb5cy9WLVKplkZOhUiKhdvyLhi/Hv8m6AQ
j+B0iddjowJY5GabDbHhJPS48aWWJaMRYC2ygIOa5KK4mC7voBFRQZ6ds2Us6GDU
1yF+bkO8BynBL5OqJjg8zvU/FHA9h/LxhsR9zsmed/fKYywf6wRBPXh9uqBd7jEZ
9dbxS0WcT+WWSwjZ+RJ+kmCHrS6Y0LDUpZHqBo07EUvu0Cv+u90gBxgY6gdQ0zu/
GvXU6Qs9U8cYvJxA8c7a2KuWiK8xl0H0oJSyXosRH6iCQsJd94fPbOTHA++dMRzX
FVvWAe3WqndrhkpRkh0vk6Z8Z2lP2Ir4/SmBHOXiAsN+IMtJi/OBOhHroxEexGNc
WPs05gaQJJwGY8ivzZvCy8Z7pcNuxegMHNEAfP74klr3D2diA/6Jab+0MO2gl2Co
PcqUGulIFC463i0T3bNezLvzWZOa/yYPOZDY4waHUapOXg8Q6WIbr9nIyuu9Yta+
z1BafGUfo5nooqPEq+QmY46n8WQuZqA9ZjRcLGJJpbuAC9OeOa/Kbsx3FlxaBUs6
QoWEsUlDF/tRU+DFq5RRm7g+KoLwSEFkRZ6rs5sI/3DDaSnAF3Q=
=lMSH
-----END PGP SIGNATURE-----

--a8Wt8u1KmwUX3Y2C--




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 17 Sep 2020 14:05:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 17 10:05:58 2020
Received: from localhost ([127.0.0.1]:38491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIuXt-00068B-N9
	for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 10:05:58 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:56151)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1kIuXp-00067o-Dm
 for 43344 <at> debbugs.gnu.org; Thu, 17 Sep 2020 10:05:56 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 594025C01B4;
 Thu, 17 Sep 2020 10:05:48 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Thu, 17 Sep 2020 10:05:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=xlf3S53I4+zpnGzFN08/YR+l
 QpMJXCBlXGRXmezu50U=; b=1gPmecHApr5yeoCt7UQa1m0O/Nsr1c0xt8BO0NcP
 UG5zvwEguUumP23a0twaBgVBpiXakerudAQeDnN23SdAyDbtEQTVcMvX+kyWhsPP
 1VTMzGhxLOrlOVMGqFmOH6mNo1gTxHH8KnCH8gqK4RNkMIwJ6+Bja5L3F192Jte8
 2EM=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=xlf3S5
 3I4+zpnGzFN08/YR+lQpMJXCBlXGRXmezu50U=; b=LStQnp3n7Yh6KAa2rb9j/h
 bs2lk8skCUxcem143+2BHIHcxZQbsOYt4EZ7kCp23kNXpJEhUNq4M9KvAXSRxn+e
 pVnsuYmwVwcjmFL0xoF0uFmKfF49dgEHBEPDDZPqC99iB8tWXOQzgZHczIOOWQfN
 htA5PYium1iX9FEBwa+nZWixuOhymJMCEGG09pEu2556TFwnAF0p0OhOgu8WSzH4
 98mBqdznoCP98BgpexKTwpRNtE7Eixvq/sxM7oJ2pQh130diahw7gToWwCDtmCg4
 q9jMRnHVf7AbWRZW/Qw8IDYZlMYLNu73RXiL4QYXFOlVDv/W/IwfRyZikWT2rzCg
 ==
X-ME-Sender: <xms:O21jX1IpQ0iNXuiE09AYeLARu65KgqLt_8FGwei5hgCEJdQffjiy8g>
 <xme:O21jXxJgRpeBRm7OKIBAaWBzBfkhiJyChrS-mMUU7o9WY5Gpb5rCuKDqDnVdjnST5
 gIaoBq0TOod7hL1GA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedujedrtdeggdejfecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcuhfgr
 mhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrthhtvg
 hrnhepueekkedtffdvtddugeejgedtvefhueefiedvjeeitdeigedtveejvdejheffvefg
 necukfhppeejfedrudeguddruddvjedrudegieenucevlhhushhtvghrufhiiigvpedtne
 curfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:O21jX9trP8cXu1MCSIRgOwLt7s18u5p7gSAaXVEtBi8nKwsrYOZ1GQ>
 <xmx:O21jX2Yar21aR0rr7qnqOXe03GcmFSpjj9gKncPWRyXzt6ctWpHxtA>
 <xmx:O21jX8alkQu5XnrVnrazTIoj6Q7xJZW-jRO_2JzjBm4aVxrgVsgTbQ>
 <xmx:PG1jX3zMDCtRwPUBxeo7n6gyctB-Nl_esCIaOV0eGS-CCtd-j3mlWQ>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id 539EA3064674;
 Thu, 17 Sep 2020 10:05:47 -0400 (EDT)
Date: Thu, 17 Sep 2020 10:05:44 -0400
From: Leo Famulari <leo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones) on
 guix master
Message-ID: <20200917140544.GA14066@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN> <877dsw7alf.fsf@HIDDEN>
 <20200914183037.624cc347@HIDDEN>
 <87y2laactz.fsf@HIDDEN> <20200915230628.GA20807@HIDDEN>
 <20200916141231.GA28015@HIDDEN>
 <20200916165245.421e3c4c@HIDDEN>
 <20200916162244.GA3262@HIDDEN> <87363h9oab.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87363h9oab.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43344
Cc: Danny Milosavljevic <dannym@HIDDEN>, 43344 <at> debbugs.gnu.org,
 Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Sep 16, 2020 at 09:36:49PM -0400, Mark H Weaver wrote:
> > On Wed, Sep 16, 2020 at 04:52:45PM +0200, Danny Milosavljevic wrote:
> >> commit 692d0626557451c4b557397f20b7394b612d0289
> >> Author: Christoph Hellwig <hch@HIDDEN>
> >> Date:   Tue Sep 1 11:59:41 2020 +0200
> >> 
> >>     block: fix locking in bdev_del_partition

> Next, it probably makes sense to test 5.8.9 with the above commit
> reverted.  Would someone like to try it?  If that works, we can avoid
> the bisection, resume kernel updates, and revert this change across all
> of our kernels until a better solution is found.

Using linux-libre 5.8.9 with that commit reverted, `guix system vm` does
work again.




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 17 Sep 2020 08:40:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 17 04:40:20 2020
Received: from localhost ([127.0.0.1]:37296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIpSl-00045Y-OF
	for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 04:40:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1kIpSj-00045G-3l
 for 43344 <at> debbugs.gnu.org; Thu, 17 Sep 2020 04:40:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:32817)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1kIpSd-0008A7-8n; Thu, 17 Sep 2020 04:40:11 -0400
Received: from ti0006q161-3115.bb.online.no ([88.95.106.80]:41418
 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1kIpSc-0004Bq-Hp; Thu, 17 Sep 2020 04:40:10 -0400
From: Marius Bakke <marius@HIDDEN>
To: Leo Famulari <leo@HIDDEN>, Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones) on
 guix master
In-Reply-To: <20200917022117.GA1845@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN> <877dsw7alf.fsf@HIDDEN>
 <20200914183037.624cc347@HIDDEN> <87y2laactz.fsf@HIDDEN>
 <20200915230628.GA20807@HIDDEN> <20200916141231.GA28015@HIDDEN>
 <20200916165245.421e3c4c@HIDDEN> <20200916162244.GA3262@HIDDEN>
 <87363h9oab.fsf@HIDDEN> <20200917022117.GA1845@HIDDEN>
Date: Thu, 17 Sep 2020 10:40:07 +0200
Message-ID: <87r1r06bko.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43344
Cc: Mathieu Othacehe <othacehe@HIDDEN>, 43344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Leo Famulari <leo@HIDDEN> writes:

> On Wed, Sep 16, 2020 at 09:36:49PM -0400, Mark H Weaver wrote:
>> Next, it probably makes sense to test 5.8.9 with the above commit
>> reverted.  Would someone like to try it?  If that works, we can avoid
>> the bisection, resume kernel updates, and revert this change across all
>> of our kernels until a better solution is found.
>
> I'll do this tonight.

A fix for this is available in mainline:

  https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=88ce2a530cc9865a894454b2e40eba5957a60e1a

(via <https://gitlab.gnome.org/GNOME/gparted/-/issues/111>)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl9jIOcACgkQoqBt8qM6
VPrYXwf8CCEvPrJb8YADujgVGCqMZxFDFPeqMooRagQ+lsOoJdxQy5xMbJ6noOuj
6MeSCjzfvtGr8UQ9BAF1MMesajFlpC5DgDeYqe0emi3vSjGZXF7KrqANF2Q7JqZ8
z4E3uHFHF0+8w0f1eEOufgQqsTBW8usa5HpeAAHEnckk4RRCBlN53w/Rcv0A3HLM
TfTn5g7oPi8ByaLh/Mkt1rbruqStbuLVljUNN4H4l8+fjAwBY/z34lKJvuo0d26n
g+lKwwDvDymKl6NX+j9045o7WhjQSgRUd/FaD9Lm8ZP7f55p+1mt4dcnRI0k6GYL
N8Km9Qji92W/ds3il/ET6XyZr0GjMA==
=OxUP
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 17 Sep 2020 02:21:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 16 22:21:26 2020
Received: from localhost ([127.0.0.1]:36991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIjY6-00030V-4E
	for submit <at> debbugs.gnu.org; Wed, 16 Sep 2020 22:21:26 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:60595)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1kIjY4-00030H-Tv
 for 43344 <at> debbugs.gnu.org; Wed, 16 Sep 2020 22:21:25 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id CB2B85C0150;
 Wed, 16 Sep 2020 22:21:19 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Wed, 16 Sep 2020 22:21:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=mWgQ8m1ZPQD7hb8IxDNoVrRd
 zYgCvDcbXNSvonDeb24=; b=NY6ozBJsBP7HvJWMUdVSX9mFYPyI2/9vcNy5pI+1
 unKmWhyRxQ6jJ+Lwis2BfUDxxNh0XzWw+MNNTIQU8j+0gE/eXpJpdRKqqdum45vc
 dTt8/44iLJco+TM7ANdMtreEpk7PisnSvsjAJasLGxDKSgwzEtClbdCGZys85SOD
 jds=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=mWgQ8m
 1ZPQD7hb8IxDNoVrRdzYgCvDcbXNSvonDeb24=; b=Qxwrp0mfuh1ZrH3lTtOWuD
 cOVdGcJi097s9qCTZ2X2umV1cISaVpo47mlLfbHt+nmGRl0Rft+Nt5wLTnjLcg5L
 MSwjUwaPs9SOB7n+swzvzAoY4FKtN+RdIRNx7D5xz6Hq0sBwk78UGM6rSbttvH18
 jLYH/3V8iVteVE0/MS1LTfcYR6e1IaXO4OvCH0tWnfe32wUiliOrQGEB+tFfXuBZ
 HOat9ZvhFwNnwERYoBXvmuaos+cJWojlwQwi+jGoNBnXuLSOgyyycpv2JUNk8xQa
 rmHGA9d+CiE/ntUfkrH2dJHrMEea53VZ1KYRpxj0pRR0tWDvIxHH9aDUR2P2vwIg
 ==
X-ME-Sender: <xms:H8hiXzFfFXyIwEFe_QiqjQQ6t9WFyiLGk3IsB3yOCDivuL5aSAO7xQ>
 <xme:H8hiXwWqwY_GSWYe61v_-gqYy-LotEiE_VVwD88VDxvyCHUzebrtYk8zmOpfNDpJb
 osZOC8Qo3du3UkRuw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedujedrtdefgdehjecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcuhfgr
 mhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrthhtvg
 hrnhepueekkedtffdvtddugeejgedtvefhueefiedvjeeitdeigedtveejvdejheffvefg
 necukfhppeejfedrudeguddruddvjedrudegieenucevlhhushhtvghrufhiiigvpedtne
 curfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:H8hiX1I6Mj7GeSVvWydn0FJMONl92cgaebza1uSj_dA6wxijL5zC6A>
 <xmx:H8hiXxHtQ8DWNRp21SoyPKyZRQOcmvc7R5_1MBfmD50XauoYC3k1VA>
 <xmx:H8hiX5X62GlX15ZBcKlYKMGcBqPkZfYBoAXLI--KBmT5dtb9TJeqcg>
 <xmx:H8hiX4cpy-anxXjK_mbuYHYH-K1Qy2h92095My9LcpXkPX2EGxDQTQ>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id 3D2DA3280060;
 Wed, 16 Sep 2020 22:21:19 -0400 (EDT)
Date: Wed, 16 Sep 2020 22:21:17 -0400
From: Leo Famulari <leo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones) on
 guix master
Message-ID: <20200917022117.GA1845@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN> <877dsw7alf.fsf@HIDDEN>
 <20200914183037.624cc347@HIDDEN>
 <87y2laactz.fsf@HIDDEN> <20200915230628.GA20807@HIDDEN>
 <20200916141231.GA28015@HIDDEN>
 <20200916165245.421e3c4c@HIDDEN>
 <20200916162244.GA3262@HIDDEN> <87363h9oab.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87363h9oab.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43344
Cc: Danny Milosavljevic <dannym@HIDDEN>, 43344 <at> debbugs.gnu.org,
 Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Sep 16, 2020 at 09:36:49PM -0400, Mark H Weaver wrote:
> Next, it probably makes sense to test 5.8.9 with the above commit
> reverted.  Would someone like to try it?  If that works, we can avoid
> the bisection, resume kernel updates, and revert this change across all
> of our kernels until a better solution is found.

I'll do this tonight.




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 17 Sep 2020 01:38:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 16 21:38:18 2020
Received: from localhost ([127.0.0.1]:36965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIisM-0001u7-6R
	for submit <at> debbugs.gnu.org; Wed, 16 Sep 2020 21:38:18 -0400
Received: from world.peace.net ([64.112.178.59]:48806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kIisK-0001tv-9i
 for 43344 <at> debbugs.gnu.org; Wed, 16 Sep 2020 21:38:17 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kIisE-0002I3-Df; Wed, 16 Sep 2020 21:38:10 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Leo Famulari <leo@HIDDEN>, Danny Milosavljevic
 <dannym@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones)
 on guix master
In-Reply-To: <20200916162244.GA3262@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN>
 <877dsw7alf.fsf@HIDDEN> <20200914183037.624cc347@HIDDEN>
 <87y2laactz.fsf@HIDDEN> <20200915230628.GA20807@HIDDEN>
 <20200916141231.GA28015@HIDDEN>
 <20200916165245.421e3c4c@HIDDEN>
 <20200916162244.GA3262@HIDDEN>
Date: Wed, 16 Sep 2020 21:36:49 -0400
Message-ID: <87363h9oab.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43344
Cc: Mathieu Othacehe <othacehe@HIDDEN>, 43344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Leo Famulari <leo@HIDDEN> writes:

> On Wed, Sep 16, 2020 at 04:52:45PM +0200, Danny Milosavljevic wrote:
>> commit 692d0626557451c4b557397f20b7394b612d0289
>> Author: Christoph Hellwig <hch@HIDDEN>
>> Date:   Tue Sep 1 11:59:41 2020 +0200
>> 
>>     block: fix locking in bdev_del_partition
>>     
>>     [ Upstream commit 08fc1ab6d748ab1a690fd483f41e2938984ce353 ]
>>     
>>     We need to hold the whole device bd_mutex to protect against
>>     other thread concurrently deleting out partition before we get
>>     to it, and thus causing a use after free.
>>     
>>     Fixes: cddae808aeb7 ("block: pass a hd_struct to delete_partition")
>>     Reported-by: syzbot+6448f3c229bc52b82f69@HIDDEN
>>     Signed-off-by: Christoph Hellwig <hch@HIDDEN>
>>     Signed-off-by: Jens Axboe <axboe@HIDDEN>
>>     Signed-off-by: Sasha Levin <sashal@HIDDEN>
>> 
>> ?
>
> Do you think that's the faulty commit? I won't have time to test it
> today.

Looks like a good bet to me.  Many thanks to Leo for testing 5.8.9, and
to Danny for identifying the likely culprit.

Next, it probably makes sense to test 5.8.9 with the above commit
reverted.  Would someone like to try it?  If that works, we can avoid
the bisection, resume kernel updates, and revert this change across all
of our kernels until a better solution is found.

        Mark




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 16 Sep 2020 16:22:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 16 12:22:58 2020
Received: from localhost ([127.0.0.1]:35770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIaCs-0003EZ-LP
	for submit <at> debbugs.gnu.org; Wed, 16 Sep 2020 12:22:58 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:43663)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1kIaCq-0003EN-HS
 for 43344 <at> debbugs.gnu.org; Wed, 16 Sep 2020 12:22:53 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 760165C05D3;
 Wed, 16 Sep 2020 12:22:47 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Wed, 16 Sep 2020 12:22:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=RC5tG1MQj+TvQxaBGB558Jxw
 KnyVyiQnRbZ24AqeIPs=; b=Fkund70xeD7i0Ml8oiV7SrZHQmB3ByYrLcJ307YM
 QA/Oe27f/qhTzpzEXy0dTma06bBZrgj3E0bPkcVGLlTEfQp90Iae4k7AFPpkk57l
 sjDmo9sZUmRqnC7TC6O5YXhNFnvaEPq7pqCtJx96GxWKQYBzbtWIvgl9c+OUyJg8
 pyA=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=RC5tG1
 MQj+TvQxaBGB558JxwKnyVyiQnRbZ24AqeIPs=; b=KHwqAOtP5FfmOP01aXAaUq
 0y8CiYXhCPoVVQad0F2DsPycjNTzYgrzEv8g1mJQMO993FQyt7mu0FBzSeZeY/fs
 3x8jKjxvNC6yRlfxrlJNANvQrtFsDCGC2b51HGiHtIgcaDJo51ZrfE/PJFOx6TCk
 aqBflyIXHsKvQFCaYEEtK5DvULzwyETGExmx/lJo0Cw2JZY4JhhfAeJSlzMR8fcB
 tH1Mc6SUIvt4mM2IQJNAuFJk2UOEwGa1wFpbwoletL7ORfn2O7gyXzuAbNJJABmu
 MYkHPd0AMp5dLlSBQQD+BSUrCn/7jNCURz7j1zADT+/O+zONQdBHKPThB3vNA7zw
 ==
X-ME-Sender: <xms:1jtiXzIR_PMwW_AdrWtMSKLIApeYbwsMbkedON8Tr3UL37StFcZd_A>
 <xme:1jtiX3Ja1Nf6PMyCokcnqzsqjxZobywmUjEfFSrCwySwDLyOKCZL5ytm9EKRdYwLu
 GZ60fKzzz39ISG9-w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedujedrtddvgddutddtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehgtderredttddvnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpedukeevgeetkeeltefgiedtjefgjeekffduteehvdfhueekudelieekjeefheff
 teenucfkphepjeefrddugedurdduvdejrddugeeinecuvehluhhsthgvrhfuihiivgeptd
 enucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:1jtiX7tGJeMuEILFiB19VbPOBtB1HksfUTyCBDfbbSFYNIBI5mYG9w>
 <xmx:1jtiX8aLstcxqP09EX8hDlxgeZ-JM8WGP2fEBpiqUiaB35mRbmk03g>
 <xmx:1jtiX6YrZQvtTAJK69xJlu98rZ9OvOioFPiTMnnUXbARbRt5QXQRcA>
 <xmx:1ztiX9wJyfugIVUhYOV3_GzKjUSJ1woEPYtZPuPvSKoUPFCFkeOV1Q>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id 3BDE4328005D;
 Wed, 16 Sep 2020 12:22:46 -0400 (EDT)
Date: Wed, 16 Sep 2020 12:22:44 -0400
From: Leo Famulari <leo@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones) on
 guix master
Message-ID: <20200916162244.GA3262@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN> <877dsw7alf.fsf@HIDDEN>
 <20200914183037.624cc347@HIDDEN>
 <87y2laactz.fsf@HIDDEN> <20200915230628.GA20807@HIDDEN>
 <20200916141231.GA28015@HIDDEN>
 <20200916165245.421e3c4c@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="/04w6evG8XlLl3ft"
Content-Disposition: inline
In-Reply-To: <20200916165245.421e3c4c@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43344
Cc: Mark H Weaver <mhw@HIDDEN>, 43344 <at> debbugs.gnu.org,
 Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--/04w6evG8XlLl3ft
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Sep 16, 2020 at 04:52:45PM +0200, Danny Milosavljevic wrote:
> commit 692d0626557451c4b557397f20b7394b612d0289
> Author: Christoph Hellwig <hch@HIDDEN>
> Date:   Tue Sep 1 11:59:41 2020 +0200
>=20
>     block: fix locking in bdev_del_partition
>    =20
>     [ Upstream commit 08fc1ab6d748ab1a690fd483f41e2938984ce353 ]
>    =20
>     We need to hold the whole device bd_mutex to protect against
>     other thread concurrently deleting out partition before we get
>     to it, and thus causing a use after free.
>    =20
>     Fixes: cddae808aeb7 ("block: pass a hd_struct to delete_partition")
>     Reported-by: syzbot+6448f3c229bc52b82f69@HIDDEN
>     Signed-off-by: Christoph Hellwig <hch@HIDDEN>
>     Signed-off-by: Jens Axboe <axboe@HIDDEN>
>     Signed-off-by: Sasha Levin <sashal@HIDDEN>
>=20
> ?

Do you think that's the faulty commit? I won't have time to test it
today.

--/04w6evG8XlLl3ft
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAl9iO9EACgkQJkb6MLrK
fwigzBAAv6mIgPP/G4Za8VaSYfjcXOThVEY58LgP/fdoC54rp6ip1vs3b0wW86TP
+PB+kmxmgYOPR8G4jsVIPWo/oPq7fQ22P5soNI4AeEPiRiITLUkS+EEys8YSUESP
kLB29RVF3rFb5i79E5px9o/JYkeBPxULug0VGhNWLBQkM3vjrra/PVcDzkHA2TMA
EYAVN0oDhaAJ3AuTv66pyuoBg4t8nARxuX4q/KZ+4QuP2q0GcJNOPy+IIY94CacS
/nqZ46aK0qaQ1FTEjRQyleSq8cFpT37k3oqUP6jUXuvU7HO5v1pqQ+egVCqSp3nv
xU4r5jnsOgMmLkYj4nCmaZVp00VmcsGU6XO9hcKEYOpRORNZIJtcDzr+zIB3mbhZ
oY9MelcqJ+Vj12sIVR4L5vcAvhysrZwiRggqezYNiwY9ZQ/4UUnddk1JH+qcJkRV
nr/SlDTdUHj6S1eyao/Ov2thamWiRKC2rzriUGIpVaeFIhQ2yHnjUkpLZazVOhXk
RDoIDIWfqJh8v2xRH3jA0wzqFiK+hnpa9L5Zed/RESsrLjHi//hbVJFht3t9xZhV
4O0R1jNzXgFa/fxF20s+oHVgrIKs77jiz5vlBJDfJCsEDb8r9tLFPIa6bwbqajVK
I3cllFFmqB004mXiJC3Cy0Fv26a1/s5C4C8mYFd6NnDlvzfW7sQ=
=2iEr
-----END PGP SIGNATURE-----

--/04w6evG8XlLl3ft--




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 16 Sep 2020 15:02:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 16 11:02:58 2020
Received: from localhost ([127.0.0.1]:35688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIYxW-0001H4-GU
	for submit <at> debbugs.gnu.org; Wed, 16 Sep 2020 11:02:58 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:32790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1kIYxU-0001Gu-E6
 for 43344 <at> debbugs.gnu.org; Wed, 16 Sep 2020 11:02:57 -0400
Received: from localhost (80-110-126-103.cgn.dynamic.surfer.at
 [80.110.126.103])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 0E9123360304;
 Wed, 16 Sep 2020 17:02:55 +0200 (CEST)
Date: Wed, 16 Sep 2020 17:02:39 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones)
 on guix master
Message-ID: <20200916170239.580ac59a@HIDDEN>
In-Reply-To: <20200916165245.421e3c4c@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN> <877dsw7alf.fsf@HIDDEN>
 <20200914183037.624cc347@HIDDEN>
 <87y2laactz.fsf@HIDDEN> <20200915230628.GA20807@HIDDEN>
 <20200916141231.GA28015@HIDDEN>
 <20200916165245.421e3c4c@HIDDEN>
X-Mailer: Claws Mail 3.17.5 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/gWDy=VJGiW_YNW208ed5_i7";
 protocol="application/pgp-signature"; micalg=pgp-sha512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43344
Cc: Mark H Weaver <mhw@HIDDEN>, 43344 <at> debbugs.gnu.org,
 Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/gWDy=VJGiW_YNW208ed5_i7
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

On Wed, 16 Sep 2020 16:52:45 +0200
Danny Milosavljevic <dannym@HIDDEN> wrote:

> commit 692d0626557451c4b557397f20b7394b612d0289
> Author: Christoph Hellwig <hch@HIDDEN>
> Date:   Tue Sep 1 11:59:41 2020 +0200
>=20
>     block: fix locking in bdev_del_partition
>    =20
>     [ Upstream commit 08fc1ab6d748ab1a690fd483f41e2938984ce353 ]
>    =20
>     We need to hold the whole device bd_mutex to protect against
>     other thread concurrently deleting out partition before we get
>     to it, and thus causing a use after free.
>    =20
>     Fixes: cddae808aeb7 ("block: pass a hd_struct to delete_partition")
>     Reported-by: syzbot+6448f3c229bc52b82f69@HIDDEN
>     Signed-off-by: Christoph Hellwig <hch@HIDDEN>
>     Signed-off-by: Jens Axboe <axboe@HIDDEN>
>     Signed-off-by: Sasha Levin <sashal@HIDDEN>
>=20

int bdev_del_partition(struct block_device *bdev, int partno)
{
        struct block_device *bdevp;
        struct hd_struct *part =3D NULL;
        int ret;

        bdevp =3D bdget_disk(bdev->bd_disk, partno);
        if (!bdevp)
                return -ENOMEM; <--------------

...
}

struct block_device *bdget_disk(struct gendisk *disk, int partno)
{
        struct hd_struct *part;
        struct block_device *bdev =3D NULL;

        part =3D disk_get_part(disk, partno);
        if (part)
                bdev =3D bdget(part_devt(part));
        disk_put_part(part);

        return bdev;
}

struct block_device *bdget(dev_t dev)
{
        struct block_device *bdev;
        struct inode *inode;

        inode =3D iget5_locked(blockdev_superblock, hash(dev),
                        bdev_test, bdev_set, &dev);

        if (!inode)
                return NULL; <--------------------
[...]
}

--Sig_/gWDy=VJGiW_YNW208ed5_i7
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl9iKQ8ACgkQ5xo1VCww
uqWWPQf+KN0J6gI0j5qCLy9glxGYn52k+m4TbXE83/Zb68h80/ytGW0F8GIPXCnw
+qSuSEErK+Nr/RBTViAKDAS0X7jcYpMlmL42Exyt3vyEnIYwxN8k3pTwqrYwzMjh
Vr2Srdh3SS/NW7rVcR0dOXsgitEPTUVsvgBjvGaofKvoU0Ny2SYi44nnPKGYqskv
wZE42iRH4c8qZz8+LkjO/MFqjgbOcOFcodrGE9DUjxx4RnpmijHIsoTPKJiZ4qjZ
BrAAN+xj2dBh03dK+ZnCodWLqBZmuz4O/6DsiNkiFxLhSQo+RQY1NaEahz/Gns9s
wti5qCbPep8FkTDzKutOSkq9oUceRg==
=bTO1
-----END PGP SIGNATURE-----

--Sig_/gWDy=VJGiW_YNW208ed5_i7--




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 16 Sep 2020 14:53:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 16 10:53:32 2020
Received: from localhost ([127.0.0.1]:35673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIYoO-00010c-2p
	for submit <at> debbugs.gnu.org; Wed, 16 Sep 2020 10:53:32 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:59918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1kIYoM-00010Q-8Q
 for 43344 <at> debbugs.gnu.org; Wed, 16 Sep 2020 10:53:31 -0400
Received: from localhost (80-110-126-103.cgn.dynamic.surfer.at
 [80.110.126.103])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id B378833606E2;
 Wed, 16 Sep 2020 16:53:28 +0200 (CEST)
Date: Wed, 16 Sep 2020 16:52:45 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones)
 on guix master
Message-ID: <20200916165245.421e3c4c@HIDDEN>
In-Reply-To: <20200916141231.GA28015@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN> <877dsw7alf.fsf@HIDDEN>
 <20200914183037.624cc347@HIDDEN>
 <87y2laactz.fsf@HIDDEN> <20200915230628.GA20807@HIDDEN>
 <20200916141231.GA28015@HIDDEN>
X-Mailer: Claws Mail 3.17.5 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/PjGHaLZQKu2PKi5NqoGq6xR";
 protocol="application/pgp-signature"; micalg=pgp-sha512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43344
Cc: Mark H Weaver <mhw@HIDDEN>, 43344 <at> debbugs.gnu.org,
 Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/PjGHaLZQKu2PKi5NqoGq6xR
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

commit 692d0626557451c4b557397f20b7394b612d0289
Author: Christoph Hellwig <hch@HIDDEN>
Date:   Tue Sep 1 11:59:41 2020 +0200

    block: fix locking in bdev_del_partition
   =20
    [ Upstream commit 08fc1ab6d748ab1a690fd483f41e2938984ce353 ]
   =20
    We need to hold the whole device bd_mutex to protect against
    other thread concurrently deleting out partition before we get
    to it, and thus causing a use after free.
   =20
    Fixes: cddae808aeb7 ("block: pass a hd_struct to delete_partition")
    Reported-by: syzbot+6448f3c229bc52b82f69@HIDDEN
    Signed-off-by: Christoph Hellwig <hch@HIDDEN>
    Signed-off-by: Jens Axboe <axboe@HIDDEN>
    Signed-off-by: Sasha Levin <sashal@HIDDEN>

?

--Sig_/PjGHaLZQKu2PKi5NqoGq6xR
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl9iJr4ACgkQ5xo1VCww
uqVrNwf/dfRyuoleqM4FawaPaWmdJPsd8tDj+OGRGRvSnncbqF1IodkEw6XhMx3y
oDs3fy8irWSDPwkFqiL/pFEd15IfbC4mFg2kTUo1bD/R7euCjZMMvwpIWWUnQ+KY
saA/frug/F9yZRUDRQPWmrJJ/eXX2n6ina1rsaRTYt/yOUgmhpR/wPhme/QZdJaR
CsSnosOiR+qqDrHVQJRlP0nu3bMUNXB3j9D1ylSjRfyb6uuAQWuuNoN/u/jedldJ
2STJRZRITq/T+678CGO4f8yMHcuWFzYFcWR1Cf5JYVDUxz86lBTQi+zDf+ULS6lE
Y/mvBSD0GONr20Mj2tsH3qRBI6Ri0A==
=oQi4
-----END PGP SIGNATURE-----

--Sig_/PjGHaLZQKu2PKi5NqoGq6xR--




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 16 Sep 2020 14:12:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 16 10:12:56 2020
Received: from localhost ([127.0.0.1]:35620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIYB6-0008NM-5I
	for submit <at> debbugs.gnu.org; Wed, 16 Sep 2020 10:12:56 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:34729)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1kIYB4-0008NA-8j
 for 43344 <at> debbugs.gnu.org; Wed, 16 Sep 2020 10:12:54 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 19BAC5C0509;
 Wed, 16 Sep 2020 10:12:49 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Wed, 16 Sep 2020 10:12:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=Ulk3GUhkKvBbWbo6FADAuDRW
 ezV3HTnk1Zh4GPKRBe0=; b=Q+4+73UrDTrLBCoykE1c7DLVezMuvLh0y3VetWI4
 zRrRPmgbalnYANFn6xw4nn78Li8UuJrIvww/KMgA2W4+5YDQjZTQddOkkNc5nTl2
 Yi0xN3REpUzaiN7ogDtAnzW9uVxuokvWc1v6kjK0P2viLSwCHQoOEO2n1GfLLpDI
 4ek=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=Ulk3GU
 hkKvBbWbo6FADAuDRWezV3HTnk1Zh4GPKRBe0=; b=S4QKujmSgl4ew55MB5kpoO
 X6wF3kVvhCWMU5uiDAAiQW8V08OGYgi/p94qeHQSEz+uCRCLN1je2w4wn0CCZWgz
 0hZdekvIZ8sC7gx3uYgvn+oMuHoFolpf837l7Poe6slGNNDYmYDdxMYvv9Visc+a
 wKxCBkSr5nBFsOimY7Wz7vKWT5LEV4958xSPhLypSdzdXjV6Mkdua8VA/fkkohfv
 XbJBN/IgHsTZS5LoOhGrFYG9Nyq/DOJ/kMHduRMZ8oyHYLihHAw5o6n3SSIsxV1k
 KZS+d1aIeMDEBU3wNxapL0LVKgtjYY/dvb6iG96jizddKc+FdduOtSUafBqYcsAQ
 ==
X-ME-Sender: <xms:Xx1iX_klsN63E6gsUgFXfGGk_FhcUogKLvA5-yXIePNyLVGgaqENDg>
 <xme:Xx1iXy39n0q6RyXtAUM7Kk_3dLppI__gFk1W9PCHxUlkCvjGE1gpbxOl5jAQRioVe
 kv-ewBV_VqYCcjYaA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedujedrtddvgdejgecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcuhfgr
 mhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrthhtvg
 hrnhepueekkedtffdvtddugeejgedtvefhueefiedvjeeitdeigedtveejvdejheffvefg
 necukfhppeejfedrudeguddruddvjedrudegieenucevlhhushhtvghrufhiiigvpedtne
 curfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:Xx1iX1qSceYFCC4ymVnsd46zlVpkZ6rbEKyeB02I5dn0kUnD2xUtkA>
 <xmx:Xx1iX3mYs2NVYbJrHy2hPxmLOllwRWsKc0bYegACKRgeROALLqiy4w>
 <xmx:Xx1iX91lRIjkuuGtUy8tnedvT38UI720VBbNttzFJmlG3onz435gjA>
 <xmx:YR1iX-_ZrbFqRs_vofIwDGlJMAbgMu8zaIF5CZvPu_st8zRxyTFJFw>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id 82FEC328005A;
 Wed, 16 Sep 2020 10:12:47 -0400 (EDT)
Date: Wed, 16 Sep 2020 10:12:31 -0400
From: Leo Famulari <leo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones) on
 guix master
Message-ID: <20200916141231.GA28015@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN> <877dsw7alf.fsf@HIDDEN>
 <20200914183037.624cc347@HIDDEN>
 <87y2laactz.fsf@HIDDEN> <20200915230628.GA20807@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20200915230628.GA20807@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43344
Cc: Danny Milosavljevic <dannym@HIDDEN>, 43344 <at> debbugs.gnu.org,
 Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Sep 15, 2020 at 07:06:28PM -0400, Leo Famulari wrote:
> I will try to reproduce the bug with 5.8.9 now. I will try the bisection
> if time permits.

It also fails with 5.8.9.




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 16 Sep 2020 13:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 16 09:59:23 2020
Received: from localhost ([127.0.0.1]:35613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIXxy-00082F-Nn
	for submit <at> debbugs.gnu.org; Wed, 16 Sep 2020 09:59:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kIXxw-00081z-QR
 for 43344 <at> debbugs.gnu.org; Wed, 16 Sep 2020 09:59:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40651)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kIXxq-0000ea-1t; Wed, 16 Sep 2020 09:59:14 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=39642 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kIXxp-0007ZF-5w; Wed, 16 Sep 2020 09:59:13 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones)
 on guix master
References: <20200911195058.6dc013b4@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Jour de la Vertu de =?utf-8?Q?l'Ann=C3=A9e?= 228 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 16 Sep 2020 15:59:00 +0200
In-Reply-To: <20200911195058.6dc013b4@HIDDEN> (Danny Milosavljevic's
 message of "Fri, 11 Sep 2020 19:50:58 +0200")
Message-ID: <87pn6ln7q3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43344
Cc: 43344 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>,
 Mark H Weaver <mhw@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,

Danny Milosavljevic <dannym@HIDDEN> skribis:

> environment variable `PATH' set to `/gnu/store/j3jlpncfqvykkq6sx7h4ly1rdc=
r2a8qq'
> creating partition table with 2 partitions (20.0 MiB, 40.0 MiB)...
> Error: Partition(s) 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16=
, 17, .

[...]

>   1. &invoke-error:
>       program: "parted"
>       arguments: ("--script" "/dev/vda" "mklabel" "msdos" "mkpart" "prima=
ry" "e)
>       exit-status: 1
>       term-signal: #f
>       stop-signal: #f

The code in question in Parted:

--8<---------------cut here---------------start------------->8---
                if (!add_partition (disk, part)) {
                        ok[i - 1] =3D 0;
                        errnums[i - 1] =3D errno;
                }

[=E2=80=A6]

        char *bad_part_list =3D NULL;
        /* now warn about any errors */
        for (i =3D 1; i <=3D lpn; i++) {
                if (ok[i - 1] || errnums[i - 1] =3D=3D ENXIO)
                        continue;
                if (bad_part_list =3D=3D NULL) {
                        bad_part_list =3D malloc (lpn * 5);
                        if (!bad_part_list)
                                goto cleanup;
                        bad_part_list[0] =3D 0;
                }
                sprintf (bad_part_list + strlen (bad_part_list), "%d, ", i);
        }
        if (bad_part_list =3D=3D NULL)
                ret =3D 1;
        else {
                bad_part_list[strlen (bad_part_list) - 2] =3D 0;
                if (ped_exception_throw (
                        PED_EXCEPTION_ERROR,
                        PED_EXCEPTION_IGNORE_CANCEL,
                        _("Partition(s) %s on %s have been written, but we =
have "
                          "been unable to inform the kernel of the change, "
                          "probably because it/they are in use.  As a resul=
t, "
                          "the old partition(s) will remain in use.  You "
                          "should reboot now before making further changes.=
"),
                        bad_part_list, disk->dev->path) =3D=3D PED_EXCEPTIO=
N_IGNORE)
                        ret =3D 1;
                free (bad_part_list);
        }
--8<---------------cut here---------------end--------------->8---

With the patch below, I strace=E2=80=99d =E2=80=98parted=E2=80=99, which gi=
ves:

--8<---------------cut here---------------start------------->8---
$ make check-system TESTS=3Dbasic

[=E2=80=A6]

ioctl(3, BLKPG, {op=3DBLKPG_DEL_PARTITION, flags=3D0, datalen=3D152, data=
=3D{start=3D0, length=3D0, pno=3D253, devname=3D"", volname=3D""}}) =3D -1 =
ENOMEM (Cannot allocate memory)
ioctl(3, BLKPG, {op=3DBLKPG_DEL_PARTITION, flags=3D0, datalen=3D152, data=
=3D{start=3D0, length=3D0, pno=3D254, devname=3D"", volname=3D""}}) =3D -1 =
ENOMEM (Cannot allocate memory)
ioctl(3, BLKPG, {op=3DBLKPG_DEL_PARTITION, flags=3D0, datalen=3D152, data=
=3D{start=3D0, length=3D0, pno=3D255, devname=3D"", volname=3D""}}) =3D -1 =
ENOMEM (Cannot allocate memory)
ioctl(3, BLKPG, {op=3DBLKPG_DEL_PARTITION, flags=3D0, datalen=3D152, data=
=3D{start=3D0, length=3D0, pno=3D256, devname=3D"", volname=3D""}}) =3D -1 =
ENOMEM (Cannot allocate memory)
write(2, "Error", 5Error)                    =3D 5
write(2, ": ", 2: )                       =3D 2
write(2, "Partition(s) 1, 2, 3, 4, 5, 6, 7"..., 495Partition(s) 1, 2, 3, 4,=
 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24,=
 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43=
, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 6=
2, 63, 64 on /dev/vda have been written, but we have been unable to inform =
the kernel of the change, probably because it/they are in use.  As a result=
, the old partition(s) will remain in use.  You should reboot now before ma=
king further changes.) =3D 495
write(2, "\n", 1
)                       =3D 1
--8<---------------cut here---------------end--------------->8---

So I threw more virtual RAM at it:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/system/vm.scm b/gnu/system/vm.scm
@@ -446,6 +450,7 @@ system that is passed to 'populate-root-file-system'."
                                      #:bootloader-installer
                                      #+(bootloader-installer bootloader)))))))
    #:system system
+   #:memory-size 1024
    #:make-disk-image? #t
    #:disk-image-size disk-image-size
    #:disk-image-format disk-image-format

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


=E2=80=A6 but that doesn=E2=80=99t help.

Ideas?

Thanks,
Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/build/vm.scm b/gnu/build/vm.scm
index 287d099f79..e793b5b518 100644
--- a/gnu/build/vm.scm
+++ b/gnu/build/vm.scm
@@ -297,7 +297,7 @@ actual /dev name based on DEVICE."
                                      partition-size)
                             partitions)
                        ", "))
-  (apply invoke "parted" "--script"
+  (apply invoke "strace" "parted" "--script"
          device "mklabel" label-type
          (options partitions offset))
 
diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 59ffb334e0..72fb3ca49d 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -349,15 +349,15 @@ corresponding UPSTREAM-SOURCE (an origin), using the given DEBLOB-SCRIPTS."
 
 ;; The current "stable" kernel. That is, the most recently released major
 ;; version.
-(define-public linux-libre-5.8-version "5.8.7")
+(define-public linux-libre-5.8-version "5.8.8")
 (define deblob-scripts-5.8
   (linux-libre-deblob-scripts
-   linux-libre-5.8-version
+   "5.8.7"
    (base32 "07z7sglyrfh0706icqqf3shadf638pvyid9386r661ds5lbsa2mw")
    (base32 "0j6jba5fcddqlb42f95gjl78jisfla4nswqila074gglcrbnl9q7")))
 (define-public linux-libre-5.8-pristine-source
   (let ((version linux-libre-5.8-version)
-        (hash (base32 "1zhpzlhl2ykna2nc70m72wlgyv1pkvkpfssb4k8p5pwlkh1ga2vv")))
+        (hash (base32 "0xm901zvvrwsb9k88la6pb65nybi43bygiyz1z68njwsx6ripxik")))
    (make-linux-libre-source version
                             (%upstream-linux-source version hash)
                             deblob-scripts-5.8)))
diff --git a/gnu/system/vm.scm b/gnu/system/vm.scm
index 80a8618729..49489b6159 100644
--- a/gnu/system/vm.scm
+++ b/gnu/system/vm.scm
@@ -376,6 +376,10 @@ system that is passed to 'populate-root-file-system'."
 
              (set-path-environment-variable "PATH" '("bin" "sbin") inputs)
 
+             (setenv "PATH"
+                     (string-append #+(file-append strace "/bin") ":"
+                                    (getenv "PATH")))
+
              (let* ((graphs     '#$(match inputs
                                      (((names . _) ...)
                                       names)))

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 15 Sep 2020 23:06:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 15 19:06:47 2020
Received: from localhost ([127.0.0.1]:60871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIK2A-0008Vj-VH
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 19:06:47 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:56919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1kIK29-0008VX-6N
 for 43344 <at> debbugs.gnu.org; Tue, 15 Sep 2020 19:06:45 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 2170E5C00C9;
 Tue, 15 Sep 2020 19:06:40 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Tue, 15 Sep 2020 19:06:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=pZvKcmvUfCVVzKbMwSIeMNkm
 SEJjfxUAX/EdXkwb2zU=; b=nJogZ4y5eWqYcOLnjLrgQa2aHPkiRwtqL7SZfuM9
 3pVH0rWPT3DYWF9n4UpeVSbIK1CLhZZUNao6O2nuX/KP3tqTtGIdXO2eYpfRzKb3
 wsAkbLD5TxEoqEIcJb3Am2VSi54ky5NQKUqMsfz7z6w9g8tpWi7glSYrPF8WINL/
 O70=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=pZvKcm
 vUfCVVzKbMwSIeMNkmSEJjfxUAX/EdXkwb2zU=; b=jbJ8wkRW51VxAXd6FNBJyX
 gY6clgnBvHeihBEyhnNBfcENXh2UPfdifoZHgjOXE9rmptf39sX6yuJ7tm7VImC7
 98LvHbRCgVjUy7WfpG04q1G1qicRbTf4u7t5yvWtB2WCLkimbc4FhCxT7zGpOWgb
 Z7842EJqPQ/emTDd62SIPB2S6E0WsZrZiK20/g89KRBNH4QOiH0uSIE+4oRkDWhI
 a2YzpfMiszk0Spy+vis5E0oMuWdfQ1xZMzC3QeafAwWhPubMvvDplh88TGZUQQUR
 xU7LtCMVzGyT4P+vpYf1iBzfpjL5S4dX97qHY9Zhz+O4m/UId937l/CKckT2jTGg
 ==
X-ME-Sender: <xms:_0hhX2z-8qgcRxCOeHwozC9vLBq0UcTZdkrDaa6z4k9Pj1uYxqNqrg>
 <xme:_0hhXyR4kbtEX998VFjeO6dzuKAHIvHfIoOHiTDld2PuCSxEheUC5oSfq7CZbv7n0
 VHhUrjCeosxWB81IQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedujedrtddugddutdcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcuhfgr
 mhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrthhtvg
 hrnhepueekkedtffdvtddugeejgedtvefhueefiedvjeeitdeigedtveejvdejheffvefg
 necukfhppeejfedrudeguddruddvjedrudegieenucevlhhushhtvghrufhiiigvpedtne
 curfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:_0hhX4XXcH_BV9oxoD9TBVzjQ6hVsvmvMpiu9V4a-8nPpNGA_8rDfw>
 <xmx:_0hhX8itLO79bSlvLd4TdpoGbARfNSFbeR6wOtnhdbmb7Ng2sz45Dg>
 <xmx:_0hhX4Byy22u0AAjHn2Q9C0pHK1NlxWD7KZY1YB8vPFRcKSiFAyl7Q>
 <xmx:AElhXx6q8OQqzzpl1Geqd5YW5Vm3r3Ip96cpXhrhTLhIa1SUWpW4KA>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id 6C6CE328005A;
 Tue, 15 Sep 2020 19:06:39 -0400 (EDT)
Date: Tue, 15 Sep 2020 19:06:28 -0400
From: Leo Famulari <leo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones) on
 guix master
Message-ID: <20200915230628.GA20807@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN> <877dsw7alf.fsf@HIDDEN>
 <20200914183037.624cc347@HIDDEN>
 <87y2laactz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87y2laactz.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43344
Cc: Danny Milosavljevic <dannym@HIDDEN>, 43344 <at> debbugs.gnu.org,
 Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Sep 15, 2020 at 06:34:21PM -0400, Mark H Weaver wrote:
> That's useful information, but we should not stay frozen on the 5.8.7
> kernel for much longer.  5.8.8 contains many bug fixes, some of which
> might fix potentially exploitable flaws.
> 
> It would be useful to know if this problem still occurs with 5.8.9,
> which has since come out.  If so, we should do a bisection between 5.8.7
> and 5.8.8 to find out which upstream commit introduced the problem.
> 
> Would anyone like to investigate this further?

I will try to reproduce the bug with 5.8.9 now. I will try the bisection
if time permits.




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 15 Sep 2020 22:36:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 15 18:36:06 2020
Received: from localhost ([127.0.0.1]:60778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIJYF-0005aY-Iv
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 18:36:06 -0400
Received: from world.peace.net ([64.112.178.59]:42454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kIJYB-0005aJ-9W
 for 43344 <at> debbugs.gnu.org; Tue, 15 Sep 2020 18:35:49 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kIJY4-0001Sz-K1; Tue, 15 Sep 2020 18:35:40 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>,
 Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones)
 on guix master
In-Reply-To: <20200914183037.624cc347@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN>
 <877dsw7alf.fsf@HIDDEN> <20200914183037.624cc347@HIDDEN>
Date: Tue, 15 Sep 2020 18:34:21 -0400
Message-ID: <87y2laactz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43344
Cc: 43344 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Danny Milosavljevic <dannym@HIDDEN> writes:

> On Mon, 14 Sep 2020 15:26:52 +0200
> Mathieu Othacehe <othacehe@HIDDEN> wrote:
>
>> Anything special with your hardware? KVM support disabled maybe?
>
> The culprit had been the Linux kernel update to 5.8.8.
>
> After downgrading to 5.8.7 it works just fine--no other changes done.
>
> Previously, I had tried also to add wipefs -a before the parted--that
> hadn't helped either.

That's useful information, but we should not stay frozen on the 5.8.7
kernel for much longer.  5.8.8 contains many bug fixes, some of which
might fix potentially exploitable flaws.

It would be useful to know if this problem still occurs with 5.8.9,
which has since come out.  If so, we should do a bisection between 5.8.7
and 5.8.8 to find out which upstream commit introduced the problem.

Would anyone like to investigate this further?

        Mark




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 14 Sep 2020 16:31:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 12:31:56 2020
Received: from localhost ([127.0.0.1]:56052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHrOW-0000el-Lh
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 12:31:56 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:33892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1kHrOT-0000eb-L8
 for 43344 <at> debbugs.gnu.org; Mon, 14 Sep 2020 12:31:54 -0400
Received: from localhost (80-110-126-103.cgn.dynamic.surfer.at
 [80.110.126.103])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 0E1F13360285;
 Mon, 14 Sep 2020 18:31:52 +0200 (CEST)
Date: Mon, 14 Sep 2020 18:31:10 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones)
 on guix master
Message-ID: <20200914183037.624cc347@HIDDEN>
In-Reply-To: <877dsw7alf.fsf@HIDDEN>
References: <20200911195058.6dc013b4@HIDDEN> <877dsw7alf.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.5 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/DuJVp6FRtsY.Wwa=v/+QEsR";
 protocol="application/pgp-signature"; micalg=pgp-sha512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43344
Cc: 43344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/DuJVp6FRtsY.Wwa=v/+QEsR
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Mathieu,

On Mon, 14 Sep 2020 15:26:52 +0200
Mathieu Othacehe <othacehe@HIDDEN> wrote:

> Anything special with your hardware? KVM support disabled maybe?

The culprit had been the Linux kernel update to 5.8.8.

After downgrading to 5.8.7 it works just fine--no other changes done.

Previously, I had tried also to add wipefs -a before the parted--that
hadn't helped either.

--Sig_/DuJVp6FRtsY.Wwa=v/+QEsR
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl9fms4ACgkQ5xo1VCww
uqWPnwf+M7BFkY+l76yRBwo3WFAVJeGw659xThs3XgEDPMx3slTamBRBbrglOk/n
djxolbFKNwdLV+0KjUoctZ1/9BHKn7vFNABbzzoXc/F86S3O57mqZeKLgHN8g6MY
UJbDVmTsVqcj7bTUf5H4hN0FT0Wl5jByAP7nnpy3jFyEF3Gc9DQshT/I9WoA5lt5
srTlXFncHrdCZ919CkTiRk8ztwVJA5xGIjAZ7D6rEnixtMe76XkwvWzBIgaC0OL9
V7+pmngloNfzunl/msfXuzPPNkU5cnEWK2PIHeyPuACoexu8LysS2Tupf3PzNBDZ
RmUUNsERytsROsAqJHHoAo87ms0UFw==
=AsAG
-----END PGP SIGNATURE-----

--Sig_/DuJVp6FRtsY.Wwa=v/+QEsR--




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.

Message received at 43344 <at> debbugs.gnu.org:


Received: (at 43344) by debbugs.gnu.org; 14 Sep 2020 13:27:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 09:27:04 2020
Received: from localhost ([127.0.0.1]:53140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHoVc-0005Cj-CT
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 09:27:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1kHoVZ-0005CM-Cx
 for 43344 <at> debbugs.gnu.org; Mon, 14 Sep 2020 09:27:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51800)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1kHoVU-0000LU-02; Mon, 14 Sep 2020 09:26:56 -0400
Received: from [2a01:e0a:19b:d9a0:9d9d:97cc:d92a:8ac0] (port=58300 helo=cervin)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1kHoVS-0006at-GD; Mon, 14 Sep 2020 09:26:55 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#43344: "basic" system tests fail (and all the other ones)
 on guix master
References: <20200911195058.6dc013b4@HIDDEN>
Date: Mon, 14 Sep 2020 15:26:52 +0200
In-Reply-To: <20200911195058.6dc013b4@HIDDEN> (Danny Milosavljevic's
 message of "Fri, 11 Sep 2020 19:50:58 +0200")
Message-ID: <877dsw7alf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43344
Cc: 43344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello Danny,

>   1. &invoke-error:
>       program: "parted"
>       arguments: ("--script" "/dev/vda" "mklabel" "msdos" "mkpart" "primary" "e)

So it looks like the parted script failed inside the VM, while running
"initialize-partition-table".

This work fine both on the build farm and on my machine, which makes the
debug harder :(.

Anything special with your hardware? KVM support disabled maybe?

Thanks,

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.
Merged 43344 43352. Request was from Oleg Pykhalov <go.wigust@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 43344 43352. Request was from Oleg Pykhalov <go.wigust@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Sep 2020 17:51:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 11 13:51:05 2020
Received: from localhost ([127.0.0.1]:45375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kGnCT-0004rm-0B
	for submit <at> debbugs.gnu.org; Fri, 11 Sep 2020 13:51:05 -0400
Received: from lists.gnu.org ([209.51.188.17]:39700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1kGnCR-0004re-Fx
 for submit <at> debbugs.gnu.org; Fri, 11 Sep 2020 13:51:03 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50248)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dannym@HIDDEN>)
 id 1kGnCR-0001TU-7w
 for bug-guix@HIDDEN; Fri, 11 Sep 2020 13:51:03 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:56742)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dannym@HIDDEN>)
 id 1kGnCP-0003rC-Hc
 for bug-guix@HIDDEN; Fri, 11 Sep 2020 13:51:02 -0400
Received: from localhost (80-110-126-103.cgn.dynamic.surfer.at
 [80.110.126.103])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 3ACA03368987
 for <bug-guix@HIDDEN>; Fri, 11 Sep 2020 19:51:00 +0200 (CEST)
Date: Fri, 11 Sep 2020 19:50:58 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: <bug-guix@HIDDEN>
Subject: "basic" system tests fail (and all the other ones) on guix master
Message-ID: <20200911195058.6dc013b4@HIDDEN>
X-Mailer: Claws Mail 3.17.5 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/t1KiZl5.t62AIQXrWG+L2B8";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Received-SPF: none client-ip=85.13.145.193;
 envelope-from=dannym@HIDDEN; helo=dd26836.kasserver.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/11 13:44:47
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, PDS_BTC_ID=0.499,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

--Sig_/t1KiZl5.t62AIQXrWG+L2B8
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi,

as of guix master commit 0fb974be9c3e1e22a2145c9c602c44cd10cef2b0 all system
tests, including "basic", fail:

$ guix environment --pure guix --ad-hoc git guile-readline guile-json nano =
guile-zlib guile-lzlib
(env)$ make TESTS=3Dbasic check-system
loading '/gnu/store/s3limrgxj4pd6b4psra66phary2nmqx4-linux-vm-loader'...
[    2.776050] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
environment variable `PATH' set to `/gnu/store/j3jlpncfqvykkq6sx7h4ly1rdcr2=
a8qq'
creating partition table with 2 partitions (20.0 MiB, 40.0 MiB)...
Error: Partition(s) 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, =
17, .
Backtrace:
           3 (primitive-load "/gnu/store/liacrhaiab35pcfzdqsa71fvp7f?")
In ./gnu/build/vm.scm:
   470:21  2 (initialize-hard-disk "/dev/vda" #:bootloader-package _ ?)
    300:2  1 (initialize-partition-table "/dev/vda" (#<<partitio???@ build-=
log 1
?@ build-log 29023 1
?@ build-log 29023 1
>@ build-log 29023 1
 @ build-log 29023 1
?@ build-log 29023 1
?@ build-log 29023 1
?@ build-log 29023 1
)@ build-log 29023 1
 @ build-log 29023 1
?@ build-log 29023 1
?@ build-log 29023 1
?@ build-log 29023 1
)@ build-log 29023 1
@ build-log 29023 1

In ./guix/build/utils.scm:
    654:6  0 (invoke _ . _)

./guix/build/utils.scm:654:6: In procedure invoke:
ERROR:
  1. &invoke-error:
      program: "parted"
      arguments: ("--script" "/dev/vda" "mklabel" "msdos" "mkpart" "primary=
" "e)
      exit-status: 1
      term-signal: #f
      stop-signal: #f
[    3.446031] Unregister pv shared memory for cpu 0
[    3.447989] reboot: Restarting system
[    3.449167] reboot: machine restart
Backtrace:=20
           1 (primitive-load "/gnu/store/1xp94hddh88szwkbqyb49jirmf5?")
In ./gnu/build/vm.scm:
   198:12  0 (load-in-linux-vm _ #:output _ #:qemu _ #:memory-size _ ?)

./gnu/build/vm.scm:198:12: In procedure load-in-linux-vm:
guest VM code exited with a non-zero status 256
note: keeping build directory `/tmp/guix-build-qemu-image.drv-0'
builder for `/gnu/store/ks5w1bwcm2rg1fq5s9hc78grxpnm0wpf-qemu-image.drv' fa=
iled1
build of /gnu/store/ks5w1bwcm2rg1fq5s9hc78grxpnm0wpf-qemu-image.drv failed
View build log at '/var/log/guix/drvs/ks/5w1bwcm2rg1fq5s9hc78grxpnm0wpf-qem=
u-im.
cannot build derivation `/gnu/store/8vhwchcxlns64nnqr13p0liw745s6pp8-run-vm=
.sh.t
cannot build derivation `/gnu/store/672vqgm8mx0a6k2iwsf13q73gmk5vdc4-basic.=
drv't
guix build: error: build of `/gnu/store/672vqgm8mx0a6k2iwsf13q73gmk5vdc4-ba=
sic.d
make: *** [Makefile:6007: check-system] Error 1
dannym@bayfront ~/src/guix-master/guix [env]$

The same happens on my laptop.

./pre-inst-env guix describe
Git checkout:
  repository: /home/dannym/src/guix-master/guix
  branch: master
  commit: 0fb974be9c3e1e22a2145c9c602c44cd10cef2b0

(ssh://dannym@HIDDEN/srv/git/guix.git)

I've tried to add a call to wipefs before parted--it doesn't help.

Before the problem surfaced I saw a qemu major update.

--Sig_/t1KiZl5.t62AIQXrWG+L2B8
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl9buQIACgkQ5xo1VCww
uqWBhAf9FvsI4m5s/5ARUyX7W0wwU9CqTVw9eGwTXcNlD+8GvOBTTDYrO0ERbcPj
3hEioTvIGlZJ33ic02ZTrewMWjmlbRewrB3E3vTpFNB21gj9OYP5ptm0amPKOtM9
kvUzxNUO7jpFspUv/dmFvW1d7zxbwGjXyNFQbKgik5P57QRxqhenEORGOwHdlPDD
1iHwN9ZAOQoT0neRrCWChPs3wWxXFzfaQGfTlcC3hGCZ+pRgrvEo0OsvkINc85t4
h65WB8vO8OlYtQA9BgRYMM58uUk9tZ44U+6+PFZ1DcUHfeac6/8LTdSixCSXW2uj
h3Viu0E+twhaxqMGqtXqPDRCGsw1ew==
=SYEI
-----END PGP SIGNATURE-----

--Sig_/t1KiZl5.t62AIQXrWG+L2B8--




Acknowledgement sent to Danny Milosavljevic <dannym@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#43344; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 18 Sep 2020 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.